menu_ft:
  label: Footer Menu
  namespace: Organisms/TM - Menus
  use: '@organisms/tm-menu/menu-ft/menu-ft.twig'
  description: Footer Menu
  libraries:
    - menu_ft_lib:
        css:
          component:
            ../styles/menu-ft.css: {}

  fields:
    title:
      type: text
      label: Title
      description: Title of first link
      preview: Tickets & Fares
    url:
      type: text
      label: URL
      description: URL of first link
    icon:
      type: text
      label: Icon
      description: Icon for the menu
      preview: fas fa-compass
    mid:
      type: text
      label: Menu ID
      description: Menu ID
      preview: my-menu
    tid:
      type: text
      label: Text ID
      description: Used for aria
      preview: Main navigation
    links:
      type: object
      label: Items
      preview:
        - lid: _1
          title: Daily Tickets
          url: /
        - lid: _2
          title: Season Tickets
          url: /
        - lid: _3
          title: Discounts
          url: /
        - lid: _4
          title: Business Travel
          url: /
        - lid: _44
          title: <none>
          url: /
        - lid: _5
          title: Penalty Fares
          url: /
        - lid: _6
          title: Price Promise
          url: /
        - lid: _7
          title: Ticket vending machine Price Promise
          url: /

  settings:
    wrapper_attributes:
      type: attributes
      label: Attributes for the menu wrapper
    wrapper_class:
      type: textfield
      label: Wrapper classes
    collapse:
      type: boolean
      label: Whether to collapse the menu
      default_value: true
      preview: true
